%define upstream_name    Memory-Usage
%define upstream_version 0.201

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Tools to determine actual memory usage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Memory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module lets you attempt to measure, from your operating system's
perspective, how much memory a process is using at any given time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/module-size
/usr/share/man/man1/module-size.1.xz



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.201.0-7.mga6
+ Revision: 1029877
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.201.0-6.mga6
+ Revision: 946070
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.201.0-5.mga5
+ Revision: 749793
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.201.0-4.mga5
+ Revision: 685393
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.201.0-3.mga4
+ Revision: 512924
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.201.0-2.mga3
+ Revision: 369695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.201.0-1.mga2
+ Revision: 172271
- imported package perl-Memory-Usage


* Sat Nov 26 2011 cpan2dist 0.201-1mga
- initial mageia release, generated with cpan2dist
